package com.yexuejc.base.util;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class JsonUtilTest {
    public static void main(String[] args) {
        TestA testA = new TestA("张三", 1, false);
        System.out.println(JsonUtil.json2Obj(JsonUtil.obj2Json(testA), Map.class));

        List<TestA> list = new ArrayList<>();
        list.add(testA);
        list.add(testA);
        list.add(testA);
        System.out.println(JsonUtil.json2Obj(JsonUtil.obj2Json(list), List.class,TestA.class));
    }

    static class TestA implements Serializable {
        public String name;
        public Integer id;
        public Boolean sex;

        public TestA() {
        }

        public TestA(String name, Integer id, Boolean sex) {
            this.name = name;
            this.id = id;
            this.sex = sex;
        }
    }

}